#include <bits/stdc++.h>
using namespace std;
string s;
int n;
int main(){
cin>>n>>s;
if(n<26)
    cout<<"0";
else if(n==26 and s.substr(0,26)=="ABCDEFGHIJKLMNOPQRSTUVWXYZ")
    cout<<"1";
else 
    cout<<"0";

return 0;
}